#!/bin/sh

set -e
set -x

# edit up here

CC=${CC:-/usr/sfw/bin/gcc}
CFLAGS=${CFLAGS:--g -m32 -mcpu=v9}
Compile=$(CC) $(CFLAGS) -c
Assemble=/usr/ccs/bin/as -Qy -s -K PIC -xarch=v8plus
Link=$(CC) $(CFLAGS) *.mo *.io *.o -lrt -lm -lnsl -lsocket -lpthread

# no more editing should be needed

$(Link) -o cm3
